Transfer 1,000 credits from the parent account into your Digital Twin
curl --request POST \
--url https://hiimpria.ai/api/user/userInstitutionCredit/{id} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '{}'import requests
url = "https://hiimpria.ai/api/user/userInstitutionCredit/{id}"
payload = {}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://hiimpria.ai/api/user/userInstitutionCredit/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hiimpria.ai/api/user/userInstitutionCredit/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hiimpria.ai/api/user/userInstitutionCredit/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-access-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hiimpria.ai/api/user/userInstitutionCredit/{id}")
.header("x-access-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hiimpria.ai/api/user/userInstitutionCredit/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-access-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Transfer successfuly executed and recorded!"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}User Institutions
Transfer 1,000 credits from the parent account into your Digital Twin
Moves exactly 1,000 credits from the twin’s parent account into the twin. The membership must be yours, active, with the admin role, and for your current twin; the twin must pool credits; the account must allow credit transfers and hold more than 1,000 credits. The amount is fixed (any amount in the request is ignored). The transfer is recorded.
POST
/
api
/
user
/
userInstitutionCredit
/
{id}
Transfer 1,000 credits from the parent account into your Digital Twin
curl --request POST \
--url https://hiimpria.ai/api/user/userInstitutionCredit/{id} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '{}'import requests
url = "https://hiimpria.ai/api/user/userInstitutionCredit/{id}"
payload = {}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://hiimpria.ai/api/user/userInstitutionCredit/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hiimpria.ai/api/user/userInstitutionCredit/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hiimpria.ai/api/user/userInstitutionCredit/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-access-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://hiimpria.ai/api/user/userInstitutionCredit/{id}")
.header("x-access-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hiimpria.ai/api/user/userInstitutionCredit/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-access-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Transfer successfuly executed and recorded!"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Authorizations
JWT token passed in x-access-token header
Path Parameters
The user institution ID to credit (must be a valid ObjectId)
Body
application/json
Send an empty object.
Was this page helpful?